#### basic_io_object::get_io_service

(Deprecated: Use `get_executor()`.) Get the `io_context` associated with the object.

    asio::io_context & get_io_service();

This function may be used to obtain the `io_context` object that the I/O object uses to dispatch handlers for asynchronous operations.

###### Return Value

A reference to the `io_context` object that the I/O object will use to dispatch handlers. Ownership is not transferred to the caller.